Update to version 5.9.1
This commit is contained in:
parent
d990e6af59
commit
db5cfc1332
6 changed files with 78 additions and 82 deletions
|
|
@ -1,39 +0,0 @@
|
|||
From 84a9758260fb3c0642dfd9e18cd7bc24b42586e3 Mon Sep 17 00:00:00 2001
|
||||
From: Mattias Ellert <mattias.ellert@physics.uu.se>
|
||||
Date: Thu, 16 Oct 2025 11:26:07 +0200
|
||||
Subject: [PATCH] Fix spelling errors (found by lintian)
|
||||
|
||||
---
|
||||
src/XrdNet/XrdNetMsg.cc | 2 +-
|
||||
src/XrdThrottle/XrdThrottleFileSystemConfig.cc | 2 +-
|
||||
2 files changed, 2 insertions(+), 2 deletions(-)
|
||||
|
||||
diff --git a/src/XrdNet/XrdNetMsg.cc b/src/XrdNet/XrdNetMsg.cc
|
||||
index 2581e394c..765603442 100644
|
||||
--- a/src/XrdNet/XrdNetMsg.cc
|
||||
+++ b/src/XrdNet/XrdNetMsg.cc
|
||||
@@ -86,7 +86,7 @@ XrdNetMsg::XrdNetMsg(XrdSysError *erp, const char *dest, bool *aOK, bool refr)
|
||||
|
||||
// Save the relevant information
|
||||
//
|
||||
- dfltDest = strdup(myPeer.InetName ? myPeer.InetName : "Unknow!");
|
||||
+ dfltDest = strdup(myPeer.InetName ? myPeer.InetName : "Unknown!");
|
||||
FD = myPeer.fd;
|
||||
destOK = true;
|
||||
|
||||
diff --git a/src/XrdThrottle/XrdThrottleFileSystemConfig.cc b/src/XrdThrottle/XrdThrottleFileSystemConfig.cc
|
||||
index 8a321ab3f..c110fa369 100644
|
||||
--- a/src/XrdThrottle/XrdThrottleFileSystemConfig.cc
|
||||
+++ b/src/XrdThrottle/XrdThrottleFileSystemConfig.cc
|
||||
@@ -64,7 +64,7 @@ XrdSfsGetFileSystem_Internal(XrdSfsFileSystem *native_fs,
|
||||
if (envP && envP->GetInt("XrdOssThrottle") == 1) {
|
||||
XrdSysError eDest(lp, "XrdOssThrottle");
|
||||
eDest.Emsg("Config", "XrdOssThrottle is loaded; not stacking XrdThrottle on OFS. "
|
||||
- "This is a warning for backward compatability; this configuration may generate an "
|
||||
+ "This is a warning for backward compatibility; this configuration may generate an "
|
||||
"error in the future.");
|
||||
return native_fs;
|
||||
}
|
||||
--
|
||||
2.51.0
|
||||
|
||||
42
0001-Tests-Avoid-test-segfault-on-32-bit-architectures.patch
Normal file
42
0001-Tests-Avoid-test-segfault-on-32-bit-architectures.patch
Normal file
|
|
@ -0,0 +1,42 @@
|
|||
From b9340240764bf209fcfbc342ebd0d82947157a15 Mon Sep 17 00:00:00 2001
|
||||
From: Mattias Ellert <mattias.ellert@physics.uu.se>
|
||||
Date: Thu, 20 Nov 2025 09:54:34 +0100
|
||||
Subject: [PATCH] [Tests] Avoid test segfault on 32 bit architectures
|
||||
|
||||
---
|
||||
tests/XrdCl/XrdClFileTest.cc | 12 ++++++++++++
|
||||
1 file changed, 12 insertions(+)
|
||||
|
||||
diff --git a/tests/XrdCl/XrdClFileTest.cc b/tests/XrdCl/XrdClFileTest.cc
|
||||
index f1ffe64b6..98ca7b543 100644
|
||||
--- a/tests/XrdCl/XrdClFileTest.cc
|
||||
+++ b/tests/XrdCl/XrdClFileTest.cc
|
||||
@@ -584,6 +584,16 @@ void FileTest::VectorReadTest()
|
||||
constexpr size_t ior_max = 2*1024*1024 - 16;
|
||||
char *buffer3 = static_cast<char*>(malloc(0x80000000ul)); /* 2 GB */
|
||||
|
||||
+ // The requested memory allocation size above (0x80000000) is larger
|
||||
+ // than the maximum allowed memory allocation size on a 32 bit Linux
|
||||
+ // system (0x7FFFFFFF). On these systems the allocation will fail
|
||||
+ // and a NULL pointer will be returned, resulting in a segmentation
|
||||
+ // fault when the test code tries to writ to the allocated memory.
|
||||
+ //
|
||||
+ // Skip the test in such cases instead.
|
||||
+
|
||||
+ if (buffer3) {
|
||||
+
|
||||
for(size_t i = 0; i < iov_max; ++i)
|
||||
chunkList3.emplace_back(i*ior_max, ior_max);
|
||||
|
||||
@@ -608,6 +618,8 @@ void FileTest::VectorReadTest()
|
||||
free(buffer3);
|
||||
delete info;
|
||||
|
||||
+ }
|
||||
+
|
||||
// local vread2
|
||||
info = 0;
|
||||
EXPECT_XRDST_OK( f.VectorRead( chunkList2, buffer2Comp, info ) );
|
||||
--
|
||||
2.51.1
|
||||
|
||||
|
|
@ -0,0 +1,27 @@
|
|||
From c18db2ab460c7b863171083f7ec4982dbebd1050 Mon Sep 17 00:00:00 2001
|
||||
From: Guilherme Amadio <amadio@cern.ch>
|
||||
Date: Tue, 18 Nov 2025 21:46:24 +0100
|
||||
Subject: [PATCH] [Tests] Ensure extra test fixtures are ready before server
|
||||
setup
|
||||
|
||||
This is needed in case test fixtures create files which are used
|
||||
in the configuration of a server/cluster.
|
||||
---
|
||||
tests/XRootD/CMakeLists.txt | 1 +
|
||||
1 file changed, 1 insertion(+)
|
||||
|
||||
diff --git a/tests/XRootD/CMakeLists.txt b/tests/XRootD/CMakeLists.txt
|
||||
index 6e8f9e874..7b5c1531b 100644
|
||||
--- a/tests/XRootD/CMakeLists.txt
|
||||
+++ b/tests/XRootD/CMakeLists.txt
|
||||
@@ -28,6 +28,7 @@ foreach(CONFIG ${XROOTD_CONFIGS})
|
||||
set_tests_properties(XRootD::${CONFIG}::setup
|
||||
PROPERTIES
|
||||
FIXTURES_SETUP XRootD::${CONFIG}
|
||||
+ FIXTURES_REQUIRED "${${CONFIG}_FIXTURES}"
|
||||
ENVIRONMENT "BINARY_DIR=${CMAKE_BINARY_DIR}"
|
||||
)
|
||||
|
||||
--
|
||||
2.51.1
|
||||
|
||||
|
|
@ -1,37 +0,0 @@
|
|||
From 7b2facf80d1b103c741f2b15b0bf7a3c36b8a142 Mon Sep 17 00:00:00 2001
|
||||
From: Mattias Ellert <mattias.ellert@physics.uu.se>
|
||||
Date: Tue, 14 Oct 2025 23:15:55 +0200
|
||||
Subject: [PATCH] [Tests] Fix xcache test failure
|
||||
|
||||
The test checks that the return code is 54 and that the error message
|
||||
matches "Run: [ERROR] Server responded with an error: [3019]" in case
|
||||
of a corrupted cached file.
|
||||
|
||||
However, occasionally the return code is 50 and the error message is
|
||||
"Run: [ERROR] Received corrupted data" in this case instead.
|
||||
|
||||
This commit modifies the test so that the test succeeds when this
|
||||
happens.
|
||||
---
|
||||
tests/xcachewithcsi/test.sh | 4 +++-
|
||||
1 file changed, 3 insertions(+), 1 deletion(-)
|
||||
|
||||
diff --git a/tests/xcachewithcsi/test.sh b/tests/xcachewithcsi/test.sh
|
||||
index 9aa110f30..3e45cde29 100755
|
||||
--- a/tests/xcachewithcsi/test.sh
|
||||
+++ b/tests/xcachewithcsi/test.sh
|
||||
@@ -58,8 +58,10 @@ XRD_CONNECTIONRETRY=0 ${TIMEOUTCMD} 10 ${XRDCP} -f ${HOST_SRV2}//file1 /dev/null
|
||||
ret1=$?
|
||||
grep -q "Run: \[ERROR\] Server responded with an error: \[3019\]" /tmp/err.txt
|
||||
ret2=$?
|
||||
+grep -q "Run: \[ERROR\] Received corrupted data" /tmp/err.txt
|
||||
+ret3=$?
|
||||
cat /tmp/err.txt
|
||||
-if [ $ret1 -ne 54 -o $ret2 -ne 0 ]; then
|
||||
+if [ $ret1 -ne 54 -o $ret2 -ne 0 ] && [ $ret1 -ne 50 -o $ret3 -ne 0 ] ; then
|
||||
echo "${host}: did not get the expected error on corrupted file"
|
||||
exit 1
|
||||
fi
|
||||
--
|
||||
2.51.0
|
||||
|
||||
2
sources
2
sources
|
|
@ -1 +1 @@
|
|||
SHA512 (xrootd-5.9.0.tar.gz) = e692303f60cb8f73af5141ae7f58e3f45cfb5755b6708732cf8c8177ebda7a51f234ca8e1636fea3bbdeb0603950e373c0abd971b413944d8823ef4172112048
|
||||
SHA512 (xrootd-5.9.1.tar.gz) = 8806475adb8458646ad9fc75c6d877f86f969115451295fce4a1d2aa116dd4ee06a5b27c06d8112d4667996dbbcec8d5e6cb28b2b2b56620ff503dfe5b842be0
|
||||
|
|
|
|||
13
xrootd.spec
13
xrootd.spec
|
|
@ -13,17 +13,17 @@
|
|||
|
||||
Name: xrootd
|
||||
Epoch: 1
|
||||
Version: 5.9.0
|
||||
Version: 5.9.1
|
||||
Release: 1%{?dist}
|
||||
Summary: Extended ROOT file server
|
||||
License: LGPL-3.0-or-later AND BSD-2-Clause AND BSD-3-Clause AND curl AND MIT AND Zlib
|
||||
URL: https://xrootd.web.cern.ch
|
||||
Source0: %{url}/download/v%{version}/%{name}-%{version}.tar.gz
|
||||
Source1: %{name}-sysusers.conf
|
||||
# https://github.com/xrootd/xrootd/pull/2615
|
||||
Patch0: 0001-Tests-Fix-xcache-test-failure.patch
|
||||
# https://github.com/xrootd/xrootd/pull/2617
|
||||
Patch1: 0001-Fix-spelling-errors-found-by-lintian.patch
|
||||
# https://github.com/xrootd/xrootd/pull/2649
|
||||
Patch0: 0001-Tests-Avoid-test-segfault-on-32-bit-architectures.patch
|
||||
# Backport from upstream git
|
||||
Patch1: 0001-Tests-Ensure-extra-test-fixtures-are-ready-before-se.patch
|
||||
|
||||
BuildRequires: cmake
|
||||
BuildRequires: gcc-c++
|
||||
|
|
@ -673,6 +673,9 @@ fi
|
|||
%doc %{_pkgdocdir}
|
||||
|
||||
%changelog
|
||||
* Tue Nov 18 2025 Mattias Ellert <mattias.ellert@physics.uu.se> - 1:5.9.1-1
|
||||
- Update to version 5.9.1
|
||||
|
||||
* Fri Oct 10 2025 Mattias Ellert <mattias.ellert@physics.uu.se> - 1:5.9.0-1
|
||||
- Update to version 5.9.0
|
||||
|
||||
|
|
|
|||
Loading…
Add table
Add a link
Reference in a new issue